Get Link Stats analytics
curl --request GET \
--url https://api.reqlick.com/links/{id}/stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reqlick.com/links/{id}/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reqlick.com/links/{id}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"views": [
{
"_id": "<string>",
"linkId": "<string>",
"projectId": "<string>",
"viewedAt": "2023-11-07T05:31:56Z",
"isBot": true,
"projectDetails": {
"_id": "<string>",
"name": "<string>",
"url": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"viewedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isArchived": true,
"subscriptionId": "<string>",
"logo": "<string>"
},
"memberDetails": {
"_id": "<string>",
"userId": "<string>",
"role": "<string>",
"status": "<string>",
"projectId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"link": {
"_id": "<string>",
"url": "<string>",
"key": "<string>",
"expiresAt": "<string>",
"password": "<string>",
"proxy": true,
"isFile": true,
"isQR": true,
"title": "<string>",
"description": "<string>",
"image": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"projectId": "<string>",
"isPublic": true,
"isActive": true,
"isArchived": true,
"isRecord": true,
"domain": "<string>",
"ios": "<string>",
"android": "<string>"
},
"viewData": {
"_id": "<string>",
"viewId": "<string>",
"h_userAgent": "<string>",
"h_referer": "<string>",
"h_acceptLanguage": "<string>",
"h_sec_ch_ua_platform": "<string>",
"sessionId": "<string>",
"b_screen": {},
"b_screen_width": 123,
"b_screen_height": 123,
"b_navigator": {},
"b_history": {},
"b_hostname": "<string>",
"b_pathname": "<string>",
"b_language": "<string>",
"b_search": "<string>",
"b_currentScript": "<string>",
"b_geo": {
"b_isLocated": true,
"b_error": {}
},
"newProjectVisitor": true,
"newLinkVisitor": true,
"v_start_time": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isAd": true,
"device": "<string>",
"screenResolution": "<string>",
"deviceVendor": "<string>",
"browser": "<string>",
"browserEngine": "<string>",
"os": "<string>",
"source": "<string>",
"country": "<string>",
"countryCode": "<string>",
"region": "<string>",
"regionCode": "<string>",
"city": "<string>",
"lang": "<string>",
"referrer": "<string>",
"lat": 123,
"long": 123,
"v_end_time": "2023-11-07T05:31:56Z"
}
}
],
"uniqueVisitorCount": 123,
"averageVisitTime": "<string>",
"links": [
{
"name": "<string>",
"value": 123
}
],
"linksMax": 123,
"all": [
{
"name": "<string>",
"value": 123
}
],
"allMax": 123,
"browsersMax": 123,
"osMax": 123,
"devicesMax": 123,
"deviceTypeMax": 123,
"browsers": [
{
"name": "<string>",
"value": 123
}
],
"engines": [
{
"name": "<string>",
"value": 123
}
],
"os": [
{
"name": "<string>",
"value": 123
}
],
"devices": [
{
"name": "<string>",
"value": 123
}
],
"deviceType": [
{
"name": "<string>",
"value": 123
}
],
"usersIp": [
{
"name": "<string>",
"value": 123
}
],
"languages": [
{
"name": "<string>",
"value": 123
}
],
"languagesMax": 123,
"countries": [
{
"name": "<string>",
"shortCode": "<string>",
"value": 123
}
],
"regions": [
{
"country": "<string>",
"shortCode": "<string>",
"name": "<string>",
"value": 123
}
],
"cities": [
{
"country": "<string>",
"shortCode": "<string>",
"name": "<string>",
"value": 123
}
],
"internetProviders": [
{}
],
"markersData": [
{
"idx": 123,
"name": "<string>",
"latitude": 123,
"longitude": 123
}
]
}{
"error": "Authentication Error",
"feedback": "You are unauthenticated!"
}Links
Retrieve analytics
Retrieve link analytics for the authenticated workspace.
GET
/
links
/
{id}
/
stats
Get Link Stats analytics
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successfully retrieved link stats analytics
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I